Subject: StGit question

From: Clark Williams <[email-masked]>
Date: Thu, 11 Sep 2008 12:04:06 -0500

Are there any guidelines or best-practices for sharing StGit trees?

I'm working with the Linux -rt patchset and I need to be able to share my tree with
other people. What I'd *like* to do is push git tree's up to a git server, let other
people fetch them and have them be able to 'stg uncommit' to get back to my stack
state. The problem is that when someone uncommits, you lose the patch names.  If
you're trying to create an RPM out of a stack, this causes problems :).

Is there something I can do or something that we can do to StGit to make it possible
for an 'uncommit' to restore the original patch name? It looks like I could modify
the commit message, so that the first line is the patch name, but that's not very
nice for people scanning commits.

Or am I missing something completely trivial that will make my life easier?

Thanks,
Clark